# Contribute rules

### Please insure that your code follows the rules listed below, before making a pull request!

**Submitting Issues:**

 * Include screenshots whenever possible; they are immensely helpful.
 * Check the ATOM dev tools (alt-cmd-i) for errors to include.
 * Perform a cursory search to see if a similar issue has already been submitted.

**Submitting Pull Requests:**

You can use [amp-tester](https://github.com/tcarlsen/amp-tester), to make sure that your PR is working properly!

 * No trailing whitespace. Blank lines should not have any space.
 * Two spaces, no tabs.
 * Prefer &&/|| over and/or.
 * Validate with [JSLint](http://jslint.com). *([JSLint for Atom](https://atom.io/packages/jslint))*
 * End files with a newline.
 * API changes should be updated in the README aswell
